From 39b788d65282bc30efb7f91a52b53d2d2ed68427 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Stefan=20B=C3=BCrk?= <stefan@buerk.tech>
Date: Tue, 25 Jun 2024 10:03:35 +0200
Subject: [PATCH] [TASK] Adjust database support for `runTests.sh`
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This change modifies the `Build/Scripts/runTests.sh`
dispatcher script to add new database version.

Added versions:

* MySQL 8.4
* MariaDB 11.0
* MariaDB 11.1
* MariaDB 11.2
* MariaDB 11.3
* MariaDB 11.4

Note that for TYPO3 v12 and v11 also missing versions
up to these are added now.

This is not a official supported version statement.

[1] https://endoflife.date/mariadb
[2] https://endoflife.date/mysql
[3] https://endoflife.date/postgresql

Resolves: #104200
Releases: main, 12.4, 11.5
Change-Id: I338a7f0973a46fb8bc6a582a5c478c4715a8000e
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/84895
Tested-by: core-ci <typo3@b13.com>
Tested-by: Stefan Bürk <stefan@buerk.tech>
Reviewed-by: Stefan Bürk <stefan@buerk.tech>
---
 Build/Scripts/runTests.sh | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/Build/Scripts/runTests.sh b/Build/Scripts/runTests.sh
index 79d765a1711e..7ca6b38a7628 100755
--- a/Build/Scripts/runTests.sh
+++ b/Build/Scripts/runTests.sh
@@ -50,7 +50,7 @@ handleDbmsOptions() {
                 exit 1
             fi
             [ -z "${DBMS_VERSION}" ] && DBMS_VERSION="10.3"
-            if ! [[ ${DBMS_VERSION} =~ ^(10.1|10.2|10.3|10.4|10.5|10.6|10.7|10.8|10.9|10.10|10.11)$ ]]; then
+            if ! [[ ${DBMS_VERSION} =~ ^(10.1|10.2|10.3|10.4|10.5|10.6|10.7|10.8|10.9|10.10|10.11|11.0|11.1|11.2|11.3|11.4)$ ]]; then
                 echo "Invalid combination -d ${DBMS} -i ${DBMS_VERSION}" >&2
                 echo >&2
                 echo "Use \".Build/Scripts/runTests.sh -h\" to display help and valid options" >&2
@@ -66,7 +66,7 @@ handleDbmsOptions() {
                 exit 1
             fi
             [ -z "${DBMS_VERSION}" ] && DBMS_VERSION="5.5"
-            if ! [[ ${DBMS_VERSION} =~ ^(5.5|5.6|5.7|8.0|8.1|8.2|8.3)$ ]]; then
+            if ! [[ ${DBMS_VERSION} =~ ^(5.5|5.6|5.7|8.0|8.1|8.2|8.3|8.4)$ ]]; then
                 echo "Invalid combination -d ${DBMS} -i ${DBMS_VERSION}" >&2
                 echo >&2
                 echo "Use \".Build/Scripts/runTests.sh -h\" to display help and valid options" >&2
@@ -288,6 +288,11 @@ Options:
             - 10.9   short-term, maintained until 2023-08
             - 10.10  short-term, maintained until 2023-11
             - 10.11  long-term, maintained until 2028-02
+            - 11.0   development series
+            - 11.1   short-term development series, maintained until 2024-08
+            - 11.2   short-term development series, maintained until 2024-11
+            - 11.3   short-term development series, rolling release
+            - 11.4   long-term, maintained until 2029-05
         With "-d mysql":
             - 5.5   unmaintained since 2018-12 (default)
             - 5.6   unmaintained since 2021-02
@@ -296,6 +301,7 @@ Options:
             - 8.1   unmaintained since 2023-10
             - 8.2   unmaintained since 2024-01
             - 8.3   maintained until 2024-04
+            - 8.4   maintained until 2032-04 LTS
         With "-d postgres":
             - 9.6   unmaintained since 2021-11-11
             - 10    unmaintained since 2022-11-10 (default)
-- 
GitLab